# AMF

    This is an offical implementation of tracker 'Accurate Multimodal Fusion for RGB-T Object Tracking' submitted to VOT-RGBT2020 challenge.

## Introduction

    Our tracker aims to fuse the multimodal information in response level. We employ two DiMP trackers to individually locate the target and fuse the responses in a linear method. Furthermore, the bounding box obtained from DiMP is refined by a refinement module called Alpha-Refine. It first aggregates features via a pixel-level correlation layer and a non-local layer. Then it adaptively selects the most adequate results from three branches, namely bounding box, corner and mask heads.
    
##  Operation System
   
    Our tracker is run on Ubuntu 18.04 LTS with Intel i9-9900k @3.6GHz and Nvidia GTX-2080ti GPU. Other OS and GPU may get different results. 
   
## Install dependencies

Run the installation script to install all the dependencies. You need to provide the conda install path (e.g. ~/anaconda3) and the name for the created conda environment (here ```pytracking```).  
```bash
bash install.sh conda_install_path pytracking
```  
This script will also download the default networks and set-up the environment.

Then, you need to set the network path 'settings.network_path' in 'pytracking/evaluation/local.py' to your local tracker path.

## Integration Into VOT

    To integrate the tracker into the Visual Object Tracking (VOT) challenge toolkit, check the 'VOT' folder. 
    Copy the configuration file 'trackers.ini' to your VOT configuration and set the path to the tracker reposetory inside it.


## Reference 

@InProceedings{DiMP,
Title = {Learning Discriminative Model Prediction for Tracking},
Author = {Goutam Bhat and Martin Danelljan and Luc Van Gool and Radu Timofte},
Booktitle = {ICCV},
Year = {2019}
}
